body
{
    height: 100%;
    width: 100%;
    font-family: Arial;
}

.sn-main-container
{
    padding: 0;
    margin: 0;
    width: 700px;
    height: 300px;
    font-size: 14px
}

.sn-inner-container
{
    height: 100%;
    overflow: hidden;
    border: solid 1px #555;
    box-shadow: 0 0 10px rgba(0,0,0,0.6); 
    -moz-box-shadow: 0 0 10px rgba(0,0,0,0.6); 
    -webkit-box-shadow: 0 0 10px rgba(0,0,0,0.6); 
    -o-box-shadow: 0 0 10px rgba(0,0,0,0.6);
}

.sn-table-header-container
{
    position: relative;
}

.sn-table-body-container
{
    overflow: auto;
}

.sn-table {
    display: table;
    width: 100%;
}

.sn-table-header{
    display: table-cell;
    padding: 3px 10px;
    vertical-align: middle;
    word-wrap: break-word;

    font-weight: bold;
    background-color: #999;
    text-align: left;
    height: 40px;
}

.sn-table-header span{
    cursor: pointer;
    color: #fff;
}

.sn-delete-col {
    margin-left: 5px;
    display: inline-block;   
    width: 16px;
    height: 16px;
    cursor: pointer;
    opacity: 0.5;
    vertical-align: middle;
    background: url("../img/delete.ico") no-repeat;
}

.sn-col-up-arrow-n{
    margin-right: 3px;
    display: inline-block;   
    width: 10px;
    height: 10px;
    opacity: 0.5;
    background: url("../img/arrow-up.png") no-repeat;
    display: none;
}

.sn-col-down-arrow-n{
    margin-right: 3px;
    display: inline-block;   
    width: 10px;
    height: 10px;
    opacity: 0.5;
    background: url("../img/arrow-down.png") no-repeat;
    display: none;
}

.sn-col-up-arrow-y{
    margin-right: 3px;
    display: inline-block;   
    width: 10px;
    height: 10px;
    opacity: 0.5;
    background: url("../img/arrow-up.png") no-repeat;
}

.sn-col-down-arrow-y{
    margin-right: 3px;
    display: inline-block;   
    width: 10px;
    height: 10px;
    opacity: 0.5;
    background: url("../img/arrow-down.png") no-repeat;
}
/*If we are going to use SASS, repetition can be avoided*/
.sn-delete-col-ban {
    margin-left: 5px;
    display: inline-block;   
    width: 16px;
    height: 16px;
    cursor: default;
    opacity: 0.25;
    vertical-align: middle;
    background: url("../img/ban-delete.png") no-repeat;
}

.sn-delete-col:hover{
    opacity: 1.0;
}
/*commenting out as pseudoelements cannot listen for events
.sn-table-header:before {
    content: '★';
    //background: url("icon.jpg") no-repeat;
    padding: 5px;
}

.sn-table-header:after {
    content: 'X';
    padding: 5px;
}

.sn-table-header:hover:before {
    content: '★';
    padding: 5px;
}

.sn-table-header:hover:after {
    content: 'Z';
    padding: 5px;
}*/

.sn-table-row {
    display: table-row;
}

.sn-table-row:nth-child(even){
    background-color: #f0f0f0;
}

.sn-table-row:nth-child(odd){
    background-color: #ffffff;
}

.sn-table-row:hover{
    background-color: #ccc;
}

.sn-table-cell {
    display: table-cell;
    padding: 3px 10px;
    //border: 1px solid #999999;
    vertical-align: middle;
    word-wrap: break-word;
    height: 35px;
    //min-width: 150px;
    //max-width: 150px;
    //width: 150px;/*let's go with fixed width column by default*/
}